Cancelling snapd authorization triggers error notification

Bug #1785240 reported by Andrea Azzarone on 2018-08-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
Low
Robert Ancell
Bionic
Undecided
Robert Ancell
Cosmic
Low
Robert Ancell
snapd-glib (Ubuntu)
Medium
Unassigned
Bionic
Medium
Robert Ancell
Cosmic
Medium
Unassigned

Bug Description

To reproduce:

1. Open gnome-software
2. Try to install a snap application
3. Cancel the polkit authorization

Expected results:
Nothing happens

Actual results:
An error notification is shown as per attached screenshot.

Andrea Azzarone (azzar1) wrote :
Changed in gnome-software (Ubuntu):
importance: Undecided → Low
assignee: nobody → Andrea Azzarone (azzar1)
status: New → In Progress
Andrea Azzarone (azzar1) on 2018-08-03
summary: - Cancelling snapd authentication triggers error notification
+ Cancelling snapd authorization triggers error notification
Changed in snapd-glib (Ubuntu Cosmic):
status: New → Fix Released
importance: Undecided → Medium
Changed in snapd-glib (Ubuntu Bionic):
importance: Undecided → Medium
Changed in snapd-glib (Ubuntu Bionic):
assignee: nobody → Robert Ancell (robert-ancell)
status: New → In Progress
Changed in snapd-glib (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in gnome-software (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Łukasz Zemczak (sil2100) wrote :

Can we get a regression potential analysis on this change?

Hello Andrea, or anyone else affected,

Accepted snapd-glib into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd-glib/1.43-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-bionic
Will Cooke (willcooke) wrote :

Updated Bionic from proposed and have the 3.28.1-0ubuntu4.18.04.4 version of GNOME Software installed:

$ apt-cache policy gnome-software
gnome-software:
  Installed: 3.28.1-0ubuntu4.18.04.4
  Candidate: 3.28.1-0ubuntu4.18.04.4
  Version table:
 *** 3.28.1-0ubuntu4.18.04.4 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     3.28.1-0ubuntu4.18.04.3 500
        500 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
     3.28.1-0ubuntu4 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages

I clicked install on a snap, then hit cancel at the polkit prompt. It correctly showed the error message in GNOME Software.

Verification done.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Andrea Azzarone (azzar1) wrote :

@willcooke, this bug was all about not showing the error message. I suspect that the gnome-software part is not yet uploaded (neither in cosmic nor in bionic).

Andrea Azzarone (azzar1) wrote :

@robert-ancell can you take a look?

Sebastien Bacher (seb128) wrote :

Robert, can you get the gnome-software part of the change in cosmic?

Changed in gnome-software (Ubuntu Cosmic):
assignee: Andrea Azzarone (azzar1) → Robert Ancell (robert-ancell)
Robert Ancell (robert-ancell) wrote :

Uploaded to cosmic as 3.30.2-0ubuntu2

Changed in gnome-software (Ubuntu Cosmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.30.2-0ubuntu2

---------------
gnome-software (3.30.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0023-snap-Don-t-treat-auth-cancellation-as-an-error.patch:
    - Stop cancelling snapd authorization triggers error notification
      (LP: #1785240)
  * debian/control:
    - Bump minimum version of libsnapd-glib-dev

gnome-software (3.30.2-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release (LP: #1789451)
  * debian/control:
    - Bump minimum version of libfwupd-dev

 -- Robert Ancell <email address hidden> Tue, 09 Oct 2018 16:51:51 +1300

Changed in gnome-software (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd-glib - 1.43-0ubuntu0.18.04.1

---------------
snapd-glib (1.43-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release
    - Support auth cancelled error (LP: #1785240)
    - Support wide scope searches (LP: #1789338)
    - Support publisher information (LP: #1789336)
    - Support refresh information (LP: #1789335)

 -- Robert Ancell <email address hidden> Tue, 28 Aug 2018 16:46:36 +1200

Changed in snapd-glib (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd-glib has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in gnome-software (Ubuntu Bionic):
status: New → Fix Committed
assignee: Andrea Azzarone (azzar1) → Robert Ancell (robert-ancell)

Hello Andrea, or anyone else affected,

Accepted gnome-software into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.28.1-0ubuntu4.18.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-bionic
removed: verification-done-bionic
Robert Ancell (robert-ancell) wrote :

The snapd change is not yet in bionic (snapd 2.36.1) so the full test doesn't work. However now the snapd-glib and gnome-software changes are there so and other functionality continues to work so I'm going to mark this as verified. When snapd is updated the error notification will disappear.

tags: added: verification-done-bionic
removed: verification-needed verification-needed-bionic
Robert Ancell (robert-ancell) wrote :

The above verification was performed against gnome-software 3.28.1-0ubuntu4.18.04.7

Chris Halse Rogers (raof) wrote :

Hello Andrea, or anyone else affected,

Accepted gnome-software into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.28.1-0ubuntu4.18.04.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
removed: verification-done-bionic
Robert Ancell (robert-ancell) wrote :

Reconfirmed with gnome-software 3.28.1-0ubuntu4.18.04.8

tags: added: verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.28.1-0ubuntu4.18.04.8

---------------
gnome-software (3.28.1-0ubuntu4.18.04.8) bionic; urgency=medium

  * Re-released to generate correct .changes file

gnome-software (3.28.1-0ubuntu4.18.04.7) bionic; urgency=medium

  * debian/rules:
  * debian/patches/0001-packagekit-Add-configure-option-to-use-autoremove-fe.patch:
    - Build with PackageKit autoremove support (LP: #1552792)
  * debian/control:
  * debian/patches/0023-snap-Don-t-treat-auth-cancellation-as-an-error.patch:
    - Stop cancelling snapd authorization triggers error notification
      (LP: #1785240)

gnome-software (3.28.1-0ubuntu4.18.04.6) bionic; urgency=medium

  * debian/patches/0023-Revert-Revert-flatpak-Use-list-of-related-apps-for-i.patch:
  * debian/patches/0024-flatpak-Check-if-a-related-app-is-installed-even-whe.patch:
  * debian/patches/0025-flatpak-Include-related-refs-to-the-app-s-runtime-on.patch:
    - Disable the Flatpak changes - SRU testing showed they broke downgrades

gnome-software (3.28.1-0ubuntu4.18.04.5) bionic; urgency=medium

  * debian/patches/0023-Revert-Revert-flatpak-Use-list-of-related-apps-for-i.patch:
  * debian/patches/0024-flatpak-Check-if-a-related-app-is-installed-even-whe.patch:
  * debian/patches/0025-flatpak-Include-related-refs-to-the-app-s-runtime-on.patch:
    - Pull related flatpak refs (LP: #1754864)
  * debian/patches/0003-Sort-snaps-before-other-apps.patch:
    - Fix snap search result ordering (LP: #1798228)
  * debian/patches/0001-Set-reboot-notifications-as-urgent-to-avoid-them-tim.patch:
    - Stop reboot notification from timing out (LP: #1719797)
  * debian/patches/0001-lib-Allow-opening-CAB-files-that-resolve-more-than-o.patch:
    - Support composite CAB files (LP: #1798470)

 -- Robert Ancell <email address hidden> Wed, 21 Nov 2018 12:29:27 +1300

Changed in gnome-software (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers